package com.xkrs.dao;

import com.xkrs.model.entity.FirePoint;
import com.xkrs.model.entity.FirePointEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author XinYi Song
 */
@Component
public interface FireDao extends JpaRepository<FirePoint,Long> {

    /**
     * 查询今天的火点信息
     * @param addTime
     * @param address
     * @return
     */
    @Query(value = "select * from fire where add_time like CONCAT('%',:addTime,'%') and fire_point_address like CONCAT('%',:address,'%')",nativeQuery = true)
    List<FirePoint> selectTodayFire(String addTime, String address);

    /**
     * 区县条件查询今天火点信息
     * @param addTime
     * @param countyCode
     * @return
     */
    @Query(value = "select * from fire_point where add_time like CONCAT('%',:addTime,'%') and county_code = :countyCode",nativeQuery = true)
    List<FirePoint> selectTodayFireOne(String addTime,String countyCode);

}
